Subject: Ticket Assigned - Returns
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 06 Jan 2021 13:45:42 +0000

Hi Arunjay Raj Chouhan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I am writing to you with a lot of frustration around an order that I placed with Max Stores on 5th November. The return for this order was requested since 18th Nov and since then I have called your support contact center at least 5 times till date with no positive outcome, even lodged complaint 2-3 times over support number with no positive outcome.. visited the Max store and even they refused to accept the return items. 

I don’t understand what kind of service is this from your side leaving your customer stranded for months !!! I need your immediate attention to this fix this !! - If this problem is not fixed in 1 week, I am going to pursue a Compliant in Ministry of Commerce & Ministry of Justice in Saudi Arabia.

Order Number: 6238939072
Complain Numbers: 1710114, 1962354

iOS Version: 14.3
App Version: 9.2.8 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1962496